Bug 738482 - vla: frame not set during bt full
Summary: vla: frame not set during bt full
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e326b63b83c439acc34ec542e93...
Depends On:
Blocks: 802479
TreeView+ depends on / blocked
 
Reported: 2011-09-14 22:45 UTC by hnrch
Modified: 2012-03-12 16:36 UTC (History)
6 users (show)

Fixed In Version: gdb-7.3.1-45.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 802479 (view as bug list)
Environment:
Last Closed: 2012-03-12 16:36:56 UTC


Attachments (Terms of Use)
File: maps (45.66 KB, text/plain)
2011-09-14 22:46 UTC, hnrch
no flags Details
File: backtrace (9.85 KB, text/plain)
2012-03-10 09:30 UTC, Pavel Alexeev
no flags Details

Description hnrch 2011-09-14 22:45:55 UTC
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        gdb -batch -ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/bin/gnome-shell' -ex 'core-file ./coredump' -ex 'thread apply all backtrace 2048 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
component:      gdb
crash_function: __GI_raise
executable:     /usr/bin/gdb
kernel:         2.6.40.4-5.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        gdb-7.3-43.fc15
reason:         Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
time:           Wed Sep 14 17:37:14 2011
uid:            500
username:       hnrch
xsession_errors: 

maps:           Text file, 46751 bytes

backtrace:
:[New LWP 29994]
:[Thread debugging using libthread_db enabled]
:Core was generated by `gdb -batch -ex set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/l'.
:Program terminated with signal 6, Aborted.
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:16	arch/x86/vdso/vdso32/int80.S: No such file or directory.
:	in arch/x86/vdso/vdso32/int80.S
:
:Thread 1 (Thread 0xb7732940 (LWP 29994)):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
:No locals.
:#1  0x46a8226f in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = <optimized out>
:        resultvar = <optimized out>
:        pid = 1186840564
:        selftid = 29994
:#2  0x46a83ba5 in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x84dbb48, sa_sigaction = 0x84dbb48}, sa_mask = {__val = {134856517, 1185678312, 3077869784, 234152464, 47, 1186839296, 1185712864, 47, 134856840, 139311944, 0, 1186840564, 1185699879, 47, 1186062819, 1186840564, 1185675109, 1, 3077869568, 263, 263, 1186841856, 3077869568, 1, 1185674820, 1186841856, 3077869568, 263, 139311944, 1186840564, 263, 3077777728}}, sa_flags = 1, sa_restorer = 0x46ac120e <_IO_new_do_write+30>}
:        sigs = {__val = {32, 0 <repeats 31 times>}}
:#3  0x0809b94d in dump_core () at ../../gdb/utils.c:1058
:        rlim = {rlim_cur = 18446744073709551615, rlim_max = 18446744073709551615}
:#4  0x0809d66f in internal_vproblem (ap=0xbfcd7a8c "\377\272<\b\202\253<\b\340\323\275F\004", fmt=0x83638c4 "%s: Assertion `%s' failed.", line=<optimized out>, file=<optimized out>, problem=0x84d0cd4) at ../../gdb/utils.c:1226
:        quit_p = 1
:        dump_core_p = <optimized out>
:        reason = 0xe950960 "../../gdb/dwarf2loc.c:188: internal-error: dwarf_expr_frame_base: Assertion `framefunc != NULL' failed.\nA problem internal to GDB has been detected,\nfurther debugging may prove unreliable."
:        dejavu = 1
:#5  internal_vproblem (problem=0x84d0cd4, file=<optimized out>, line=<optimized out>, fmt=0x83638c4 "%s: Assertion `%s' failed.", ap=0xbfcd7a8c "\377\272<\b\202\253<\b\340\323\275F\004") at ../../gdb/utils.c:1117
:        dejavu = 1
:#6  0x0809d8d5 in internal_verror (file=0x83ca9a9 "../../gdb/dwarf2loc.c", line=188, fmt=0x83638c4 "%s: Assertion `%s' failed.", ap=0xbfcd7a8c "\377\272<\b\202\253<\b\340\323\275F\004") at ../../gdb/utils.c:1241
:No locals.
:#7  0x0809d918 in internal_error (file=0x83ca9a9 "../../gdb/dwarf2loc.c", line=188, string=0x83638c4 "%s: Assertion `%s' failed.") at ../../gdb/utils.c:1251
:        ap = 0xbfcd7a8c "\377\272<\b\202\253<\b\340\323\275F\004"
:#8  0x08222977 in dwarf_expr_frame_base (baton=<optimized out>, start=<optimized out>, length=<optimized out>) at ../../gdb/dwarf2loc.c:188
:No locals.
:#9  dwarf_expr_frame_base (baton=0xbfcd7c64, start=0xbfcd7be4, length=0xbfcd7be8) at ../../gdb/dwarf2loc.c:172
:        framefunc = 0x0
:        debaton = 0xbfcd7c64
:#10 0x0821e32e in execute_stack_op (ctx=0xaa27768, op_ptr=0xb380ee41 <Address 0xb380ee41 out of bounds>, op_end=0xb380ee44 <Address 0xb380ee44 out of bounds>) at ../../gdb/dwarf2expr.c:618
:        datastart = 0xb4 <Address 0xb4 out of bounds>
:        datalen = 3217914912
:        before_stack_len = 0
:        op = DW_OP_fbreg
:        result = <optimized out>
:        in_stack_memory = 0
:        uoffset = 773094113280
:        reg = 5097463312529641016
:        offset = 4
:        sign_bit = 2147483648
:        byte_order = BFD_ENDIAN_LITTLE
:        __PRETTY_FUNCTION__ = "execute_stack_op"
:#11 0x0821f1f4 in dwarf_expr_eval (ctx=0xaa27768, addr=0xb380ee3f <Address 0xb380ee3f out of bounds>, len=5) at ../../gdb/dwarf2expr.c:258
:        old_recursion_depth = 0
:        __PRETTY_FUNCTION__ = "dwarf_expr_eval"
:#12 0x0821fab6 in dwarf_expr_prep_ctx (frame=0xe1e85bc, data=0xb380ee3f <Address 0xb380ee3f out of bounds>, size=5, per_cu=0xaf9ca64) at ../../gdb/dwarf2loc.c:388
:        ctx = 0xaa27768
:        baton = {frame = 0xe1e85bc, per_cu = 0xaf9ca64, object_address = 2718780912}
:        objfile = 0xae9d0a0
:        ex = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
:#13 0x082231de in dwarf_locexpr_baton_eval (dlbaton=0xec3667c) at ../../gdb/dwarf2loc.c:414
:        ctx = <optimized out>
:        retval = <optimized out>
:        back_to = 0xda53c98
:#14 0x081d755e in copy_type_recursive_1 (objfile=0xaf6fb28, type=0xec36608, copied_types=<optimized out>) at ../../gdb/gdbtypes.c:3655
:        stored = <optimized out>
:        pair = {old = 0xec36608, new = 0x809c598}
:        slot = <optimized out>
:        new_type = 0xd5de580
:        __PRETTY_FUNCTION__ = "copy_type_recursive_1"
:#15 0x081d6f1c in copy_type_recursive_1 (objfile=0xaf6fb28, type=0xec36690, copied_types=0xec95ac0) at ../../gdb/gdbtypes.c:3546
:        i = <optimized out>
:        nfields = 1
:        stored = <optimized out>
:        pair = {old = 0xec36690, new = 0x809b840}
:        slot = <optimized out>
:        new_type = 0xbe488f8
:        __PRETTY_FUNCTION__ = "copy_type_recursive_1"
:#16 0x081da026 in check_typedef (type=0xec36690) at ../../gdb/gdbtypes.c:1739
:        copied_types = 0xec95ac0
:        orig_type = 0xec36690
:        instance_flags = 0
:        __PRETTY_FUNCTION__ = "check_typedef"
:#17 0x0817c0eb in object_address_get_data (type=0xec36690, address_return=0xbfcd7e68) at ../../gdb/valops.c:960
:        __PRETTY_FUNCTION__ = "object_address_get_data"
:#18 0x0817c765 in value_fetch_lazy (val=0xc0b8320) at ../../gdb/valops.c:1076
:        addr = 2718780912
:        __PRETTY_FUNCTION__ = "value_fetch_lazy"
:#19 0x0816fbf7 in value_contents_for_printing (value=0xc0b8320) at ../../gdb/value.c:828
:No locals.
:#20 0x08187149 in common_val_print (val=0xc0b8320, stream=0x9007910, recurse=4, options=0xbfcd7f44, language=0x83cf020) at ../../gdb/valprint.c:452
:No locals.
:#21 0x0818e353 in print_variable_and_value (name=0xb330f112 <Address 0xb330f112 out of bounds>, var=0xec365d8, frame=0xe54f9e4, stream=0x9007910, indent=4) at ../../gdb/printcmd.c:1995
:        val = <optimized out>
:        opts = {pretty = Val_pretty_default, prettyprint_arrays = 0, prettyprint_structs = 0, vtblprint = 0, unionprint = 1, addressprint = 1, objectprint = 0, print_max = 200, repeat_count_threshold = 10, output_format = 0, format = 0, stop_print_at_null = 0, inspect_it = 0, print_array_indexes = 0, deref_ref = 0, static_field_print = 1, pascal_static_field_print = 1, raw = 0, summary = 0, prettyprint_matrix = 0}
:        except = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
:#22 0x081b95a1 in do_print_variable_and_value (print_name=0xb330f112 <Address 0xb330f112 out of bounds>, sym=0xec365d8, cb_data=0xbfcd8048) at ../../gdb/stack.c:1630
:        p = 0xbfcd8048
:#23 0x081baa39 in iterate_over_block_locals (cb_data=0xbfcd8048, cb=0x81b9570 <do_print_variable_and_value>, b=0xec36b18) at ../../gdb/stack.c:1530
:        iter = {dict = 0xec36b38, index = 2, current = 0xec36924}
:        sym = 0xec365d8
:#24 iterate_over_block_local_vars (block=<optimized out>, cb=0x81b9570 <do_print_variable_and_value>, cb_data=0xbfcd8048) at ../../gdb/stack.c:1600
:No locals.
:#25 0x081baaf5 in print_frame_local_vars (frame=0xe54f9e4, num_tabs=<optimized out>, stream=0x9007910) at ../../gdb/stack.c:1662
:        cb_data = {frame = 0xe54f9e4, num_tabs = 4, stream = 0x9007910, values_printed = 1}
:        block = <optimized out>
:        pc = 1186216093
:#26 0x081bad3a in backtrace_command_1 (from_tty=0, show_locals=1, count_exp=<optimized out>) at ../../gdb/stack.c:1391
:        count = 2042
:        i = <optimized out>
:        trailing = <optimized out>
:        fi = <optimized out>
:        trailing_level = <optimized out>
:#27 backtrace_command_stub (data=0xbfcd8124) at ../../gdb/stack.c:1428
:        args = 0xbfcd8124
:#28 0x081c0c4f in catch_errors (func=0x81bab70 <backtrace_command_stub>, func_args=0xbfcd8124, errstring=0x8373a09 "", mask=2) at ../../gdb/exceptions.c:521
:        val = 0
:        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
:#29 0x081b970c in backtrace_command (arg=0xcd47300 "2048 ", from_tty=0) at ../../gdb/stack.c:1486
:        old_chain = 0xca2b2b8
:        fulltrace_arg = <optimized out>
:        arglen = 5
:        argc = 1
:        btargs = {count_exp = 0xcd47300 "2048 ", show_locals = 1, from_tty = 0}
:#30 0x08099d23 in execute_command (p=0xbfcd893e "l", from_tty=0) at ../../gdb/top.c:431
:        arg = <optimized out>
:        c = 0x8f264f8
:        flang = <optimized out>
:        warned = 0
:        line = 0xbfcd892c "backtrace 2048 full"
:#31 0x081bf604 in thread_apply_all_command (cmd=0xbfcd892c "backtrace 2048 full", from_tty=0) at ../../gdb/thread.c:1203
:        tp = 0x9035588
:        old_chain = 0x0
:        saved_cmd = 0xced8728 "backtrace 2048 full"
:#32 0x08099d23 in execute_command (p=0xbfcd893e "l", from_tty=0) at ../../gdb/top.c:431
:        arg = <optimized out>
:        c = 0x8f27190
:        flang = <optimized out>
:        warned = 0
:        line = 0xbfcd891b "thread apply all backtrace 2048 full"
:#33 0x081c0ced in catch_command_errors (command=0x8099a80 <execute_command>, arg=0xbfcd891b "thread apply all backtrace 2048 full", from_tty=0, mask=6) at ../../gdb/exceptions.c:537
:        e = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
:#34 0x0808fa5b in captured_main (data=0xbfcd8380) at ../../gdb/main.c:993
:        context = 0xbfcd8380
:        argc = 20
:        argv = 0xbfcd8434
:        quiet = 1
:        set_args = 0
:        symarg = <optimized out>
:        execarg = 0x0
:        pidarg = <optimized out>
:        corearg = <optimized out>
:        pid_or_core_arg = 0x0
:        cdarg = <optimized out>
:        ttyarg = <optimized out>
:        print_help = 0
:        print_version = 0
:        cmdarg = 0x8ef23c0
:        cmdsize = <optimized out>
:        ncmd = <optimized out>
:        dirarg = 0x8ef2120
:        dirsize = <optimized out>
:        ndir = <optimized out>
:        system_gdbinit = 0x8ff0af8 "/etc/gdbinit"
:        home_gdbinit = 0x0
:        local_gdbinit = 0x0
:        i = <optimized out>
:        save_auto_load = 1
:        objfile = <optimized out>
:        pre_stat_chain = 0x0
:#35 0x081c0c4f in catch_errors (func=0x808f140 <captured_main>, func_args=0xbfcd8380, errstring=0x8373a09 "", mask=6) at ../../gdb/exceptions.c:521
:        val = 0
:        exception = {reason = 0, error = GDB_NO_ERROR, message = 0x0}
:#36 0x080904c1 in gdb_main (args=0xbfcd8380) at ../../gdb/main.c:1039
:No locals.
:#37 0x0808ecca in main (argc=20, argv=0xbfcd8434) at ../../gdb/gdb.c:49
:        args = {argc = 20, argv = 0xbfcd8434, use_windows = 0, interpreter_p = 0x83638ac "console"}
:From        To          Syms Read   Shared Object Library
:0x4979ce80  0x497b5c2c  Yes         /lib/libncurses.so.5
:0x4805fd60  0x4806a21c  Yes         /lib/libtinfo.so.5
:0x46c3d670  0x46c4aaac  Yes         /lib/libz.so.1
:0x46be5470  0x46c00b4c  Yes         /lib/libm.so.6
:0x46c2aa60  0x46c2ba8c  Yes         /lib/libdl.so.2
:0x46c12600  0x46c1dd6c  Yes         /lib/libpthread.so.0
:0x48436a20  0x4843742c  Yes         /lib/libutil.so.1
:0x48b7f990  0x48c6dd5c  Yes         /usr/lib/libpython2.7.so.1.0
:0x470ba040  0x470d3c7c  Yes         /lib/libexpat.so.1
:0x46c55f30  0x46c6cc5c  Yes         /lib/libgcc_s.so.1
:0x46a6ad10  0x46b88d24  Yes         /lib/libc.so.6
:0x46a33850  0x46a4aaff  Yes         /lib/ld-linux.so.2
:0x00eddce0  0x00ee416c  Yes         /usr/lib/python2.7/lib-dynload/_socketmodule.so
:0x00c4ca90  0x00c4d59c  Yes         /usr/lib/python2.7/lib-dynload/_functoolsmodule.so
:0x007441d0  0x007471cc  Yes         /usr/lib/python2.7/lib-dynload/_ssl.so
:0x4a01fef0  0x4a05795c  Yes         /usr/lib/libssl.so.10
:0x49ebeec0  0x49fa775c  Yes         /lib/libcrypto.so.10
:0x4ba4f540  0x4ba7ebcc  Yes         /lib/libgssapi_krb5.so.2
:0x4ba9b220  0x4bb19a6c  Yes         /lib/libkrb5.so.3
:0x44675e30  0x44676b7c  Yes         /lib/libcom_err.so.2
:0x4bb68bc0  0x4bb8363c  Yes         /lib/libk5crypto.so.3
:0x46db85f0  0x46dc865c  Yes         /lib/libresolv.so.2
:0x4b52fd70  0x4b5351ac  Yes         /lib/libkrb5support.so.0
:0x47c40860  0x47c40fdc  Yes         /lib/libkeyutils.so.1
:0x4c0f2490  0x4c103d9c  Yes         /lib/libselinux.so.1
:0x00de2f00  0x00de3f3c  Yes         /usr/lib/python2.7/lib-dynload/cStringIO.so
:0x00bef7e0  0x00bf476c  Yes         /usr/lib/python2.7/lib-dynload/itertoolsmodule.so
:0x4981a710  0x49859d5c  Yes         /usr/lib/librpm.so.2
:0x497e9130  0x49800dfc  Yes         /usr/lib/librpmio.so.2
:0x4a07c240  0x4a1725ec  Yes         /usr/lib/libnss3.so
:0x483f8000  0x4840435c  Yes         /lib/libbz2.so.1
:0x46e23f10  0x46e32e6c  Yes         /usr/lib/libelf.so.1
:0x4713cd20  0x471559fc  Yes         /usr/lib/liblzma.so.5
:0x4843d3b0  0x48442c5c  Yes         /lib/libpopt.so.0
:0x470e2da0  0x470e495c  Yes         /lib/libcap.so.2
:0x47a9d640  0x47aa1cec  Yes         /lib/libacl.so.1
:0x49b2ef90  0x49b4cb9c  Yes         /usr/lib/liblua-5.1.so
:0x485dd250  0x4871a33c  Yes         /lib/libdb-4.8.so
:0x46c32880  0x46c3639c  Yes         /lib/librt.so.1
:0x480c8c80  0x480d4f7c  Yes         /usr/lib/libnssutil3.so
:0x48098e40  0x4809a89c  Yes         /lib/libplc4.so
:0x47c45ab0  0x47c46b6c  Yes         /lib/libplds4.so
:0x001187f0  0x0013bfdc  Yes         /lib/libnspr4.so
:0x47a95de0  0x47a983cc  Yes         /lib/libattr.so.1
:0x00965a40  0x0096cf3c  Yes         /lib/libnss_files.so.2
:0x0022fc00  0x0025e02c  Yes         /usr/lib/libsoftokn3.so
:0x00151410  0x001cb72c  Yes         /usr/lib/libsqlite3.so.0
:0x47c54950  0x47c875cc  Yes         /usr/lib/libfreebl3.so
:0x00e05010  0x00e08a0c  Yes         /lib/libthread_db.so.1
:0x00ef5430  0x00ef669c  Yes         /usr/lib/gconv/UTF-32.so
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x752a	29994
:edx            0x6	6
:ebx            0x752a	29994
:esp            0xbfcd789c	0xbfcd789c
:ebp            0xbfcd7c64	0xbfcd7c64
:esi            0x1	1
:edi            0x46bdbff4	1186840564
:eip            0xbe3416	0xbe3416 <__kernel_vsyscall+2>
:eflags         0x202	[ IF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x00be3414 <+0>:	int    $0x80
:=> 0x00be3416 <+2>:	ret    
:End of assembler dump.

build_ids:
:9266687f82de9d4916cec2e77018cf6d5ff7f717
:97d55ffd6efc5eed698afadb6b8a5d52a07cb771
:c4004a864dacc61d4596f9868a62f365782c2484
:c94914451c8a47c0520b2f4f0f1575fd5c2a9a96
:df7700d0e7a23eb06824d7ddce8c5380f16b51e9
:dd2188077e40e68b4802c78d6738b4cdcf06b979
:a5e13b213aabca2cc68441f4d143da6e3f2e8872
:b819de98d6c44741c9e5f426bec493dc186224d0
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:a10be3c7e7eae837b579984e648e5f2a61460eba
:095e5af6d21569f2041728e801cb7dce22e28440
:db1e4432fb2d4e7acca041444e768bcb157eb63b
:80c7fcd215d2312ae49ef47826fc3dde87f334ca
:5205354d770156067811e70e462a4da5bbbd5e79
:0816d764c17615e50109ec48880953a476774b31
:94df5b7330e74a67792f7efa055dc0cd207e8205
:2b83bb6483d39db9bc3e996921cd96043a537ec8
:ff040d8b8cf0201fdcb6370456366644653f8683
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:0dbb845ec8ef310faf007bbfa31bbbe5444e72bc
:7ff944eeb74d3b51cd2a29d028a5c5c47b07a67e
:c833d1602084a2aefe852c6c9838a2beea3d2280
:accbee57534fe78ba25e79e902d5bdc270f158bd
:3252d95531b3d1aaef214d933ddc5755f6c564ae
:8b507d140f22cc962fc5c2e6beb28e5353fbde9c
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:629f465fde1e20295fd944a409793d3311f93b66
:a76acc4ab08d75d102a51da7414c7163fd73f72d
:af135ad155e631420278735b97da79fa400e8bde
:0c66f47155090aa88fa0174effc38414db016842
:3c708917c76dfe53257038d26bb67650dad8af94
:3e297e8d7a1ad6f9a087dcdc2a6f5742a3d9923d
:d6ef697e368f1b22719fc30b4fce0943f7198791
:64b179f00cdb231429678a327048cf465a272b6f
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:7bf07d064f2f29e53a37f73f69a0fc9e392f2406
:f1945271b44d5149a74f532d5d62b80555bc7306
:806effb2fa391470a2d354979a064f3c9101c87f
:25c5e67291f34713a82cdf92147adec423771905
:0e6674c11b136a795f0fa8699c683bffe3396d99
:eadee775fea6decdfedb95dde772d9f89ebac5fd
:94c3da1e3566c757f6b87166fb7416db2dff479f
:c8ffffd11b7cd7490305562ae0e0a0d97667f487
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:4709482862f00637bedaf5eeda381d3c6ecf2996
:93cfcf4990ff9d1d2960bf6b367bb7c75b3add15
:c0f4c1b29d774b73bab72675ac11f18a7e7641d2
:c25551e4f8f283ab55cb499112f486009e924d42
:7024407d84ff441098ee2d470d78f8edccf0ad73
:15973a99553fd06318453ddf77f0ec034e352580
:adf113737b7276ebab10cf3753b3f59428ac6f24
:841a0730c30c9f98cba256b9c5390b9c0cfe19ce
:320b8fb33d88a8d064d04e5d4090579eb5f6acb1
:82a635558d592248aac5c79e39b23409c9906cc0
:62239704ac11260cb78c670460f0d92418fac09d
:068398868487d57c3ae99a79af065c90d93081f8
:cd075f073e50e0d55afcbefe042da61a4486c101
:15674250796792b06e07c9537bd7bef98b87106d
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:0d2fa8f9d879ec9f81600e2d6108998ccf36f841
:4239d18d39d8e8b1f9491b766089824faa264456
:951573de7338b58f28235c7743747a427cc7d8d0
:27c265711f34d2db06adeb462e9924006df97926
:64303f846356e78f4b229ee9931765071c34d926
:837e1ca00132cf34660139487cceaddde3d607c5
:d3c1503a63d7f9c0b9b4a8a083e3ba68f6f95962
:d0e9aa5749ad8057dea3cc2927878130d91a81ee
:4dfa44fea3812c134f5ecbdb96390c236ddfbf39
:e5f9dab08b274d149ecc7d8ecd809722e1f67ff9
:c5552bc9c02c518c1cd374a44e9f8a1cdd440c84
:8bae3ea4ef7ae53450c3cdd0ea43e7cf7d362c4f
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:9c04594db13fd8fd6e899a12f1d5cef5b52798cc
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:4fbf06382297ce0f31a3a6892be590d7df1abeac
:5a4b4eca5a07087498a211616ade557aa901d893
:4ac776c31c4e0f78c8fc1852b588db076d7c0e43
:16913a8d73a26a1cad63d127f77e7eb7c27928f5
:aaab7b363c6d5bdac5f49f82c14eaf13d937bdba
:f889018abfa299a34e785e636c9946f74eefcae5
:e831e26625685fa2ffd14387c7921ac9766e6b00
:826bb4d8376c62b913b61301b276adab50e11c5a
:dc04e8c19b7650f82f4054a664b8e3702dccc4db

comment:
:Happened when generating "dump files" while reporting another bug.
:
:Those files can be seen here: https://bugzilla.redhat.com/show_bug.cgi?id=738481

dso_list:
:/usr/lib/libsoftokn3.so nss-softokn-3.12.10-2.fc15.i686 (Fedora Project) 1309148573
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1307769303
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307769299
:/usr/lib/librpm.so.2.0.1 rpm-libs-4.9.1.1-1.fc15.i686 (Fedora Project) 1314157007
:/lib/libutil-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/lib/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310012867
:/usr/lib/libtelepathy-glib.so.0.56.4 telepathy-glib-0.14.9-1.fc15.i686 (Fedora Project) 1311464723
:/usr/lib/liblzma.so.5.0.3 xz-libs-5.0.3-1.fc15.i686 (Fedora Project) 1314157005
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/libgirepository-1.0.so.1.0.0 gobject-introspection-0.10.8-1.fc15.i686 (Fedora Project) 1305315772
:/usr/lib/python2.7/lib-dynload/_ssl.so python-libs-2.7.1-7.fc15.i686 (Fedora Project) 1305315799
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/lib/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310012867
:/lib/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310012867
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307769299
:/usr/lib/libelf-0.152.so elfutils-libelf-0.152-1.fc15.i686 (Fedora Project) 1305315774
:/lib/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.i686 (Fedora Project) 1310012867
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.i686 (Fedora Project) 1305315770
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/libGL.so.1.2 mesa-libGL-7.11-1.fc15.i686 (Fedora Project) 1313013315
:/usr/lib/libnm-util.so.2.0.0 NetworkManager-glib-1:0.9.0-1.fc15.i686 (Fedora Project) 1315773316
:/usr/lib/libnm-glib.so.4.2.0 NetworkManager-glib-1:0.9.0-1.fc15.i686 (Fedora Project) 1315773316
:/lib/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.i686 (Fedora Project) 1305315774
:/usr/lib/libnss3.so nss-3.12.10-6.fc15.i686 (Fedora Project) 1315773312
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libORBit-2.so.0.1.0 ORBit2-2.14.19-2.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.i686 (Fedora Project) 1312431569
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1312431568
:/lib/libplds4.so nspr-4.8.8-1.fc15.i686 (Fedora Project) 1306436612
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/python2.7/lib-dynload/_functoolsmodule.so python-libs-2.7.1-7.fc15.i686 (Fedora Project) 1305315799
:/usr/lib/libgstbase-0.10.so.0.29.0 gstreamer-0.10.34-1.fc15.i686 (Fedora Project) 1306436750
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/lib/libpopt.so.0.0.0 popt-1.13-8.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/python2.7/lib-dynload/cStringIO.so python-libs-2.7.1-7.fc15.i686 (Fedora Project) 1305315799
:/usr/lib/libpython2.7.so.1.0 python-libs-2.7.1-7.fc15.i686 (Fedora Project) 1305315799
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305315796
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/lib/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc15.i686 (Fedora Project) 1311419306
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1312431570
:/usr/lib/libgdk-3.so.0.0.12 gtk3-3.0.12-1.fc15.i686 (Fedora Project) 1312431577
:/usr/lib/libsqlite3.so.0.8.6 sqlite-3.7.5-3.fc15.i686 (Fedora Project) 1305315771
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305315771
:/lib/libtinfo.so.5.8 ncurses-libs-5.8-2.20110319.fc15.i686 (Fedora Project) 1305315766
:/lib/libplc4.so nspr-4.8.8-1.fc15.i686 (Fedora Project) 1306436612
:/usr/lib/libgtk-3.so.0.0.12 gtk3-3.0.12-1.fc15.i686 (Fedora Project) 1312431577
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305315770
:/usr/lib/librpmio.so.2.0.1 rpm-libs-4.9.1.1-1.fc15.i686 (Fedora Project) 1314157007
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307769299
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libssl3.so nss-3.12.10-6.fc15.i686 (Fedora Project) 1315773312
:/lib/libncurses.so.5.8 ncurses-libs-5.8-2.20110319.fc15.i686 (Fedora Project) 1305315766
:/usr/lib/llvm/libLLVM-2.8.so llvm-libs-2.8-12.fc15.i686 (Fedora Project) 1314157015
:/usr/lib/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.i686 (Fedora Project) 1305315781
:/usr/lib/libpulsecommon-0.9.22.so pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315775
:/usr/lib/libmozjs185.so.1.0.0 js-1:1.8.5-6.fc15.i686 (Fedora Project) 1309035489
:/usr/lib/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.1-7.fc15.i686 (Fedora Project) 1305315799
:/usr/lib/libssl.so.1.0.0e openssl-1.0.0e-1.fc15.i686 (Fedora Project) 1315773302
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/libgstreamer-0.10.so.0.29.0 gstreamer-0.10.34-1.fc15.i686 (Fedora Project) 1306436750
:/lib/libthread_db-1.0.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/lib/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc15.i686 (Fedora Project) 1315773302
:/lib/libacl.so.1.1.0 libacl-2.2.49-11.fc15.i686 (Fedora Project) 1311148842
:/lib/libattr.so.1.1.0 libattr-2.4.44-7.fc15.i686 (Fedora Project) 1305315773
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/libgconf-2.so.4.1.5 GConf2-2.32.3-1.fc15.i686 (Fedora Project) 1305315812
:/usr/lib/libsmime3.so nss-3.12.10-6.fc15.i686 (Fedora Project) 1315773312
:/lib/libcap.so.2.22 libcap-2.22-1.fc15.i686 (Fedora Project) 1312680766
:/lib/libnspr4.so nspr-4.8.8-1.fc15.i686 (Fedora Project) 1306436612
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/libsoup-2.4.so.1.4.0 libsoup-2.34.3-1.fc15.i686 (Fedora Project) 1312680767
:/usr/lib/libnssutil3.so nss-util-3.12.10-1.fc15.i686 (Fedora Project) 1306436614
:/usr/lib/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.i686 (Fedora Project) 1305315775
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.i686 (Fedora Project) 1309148569
:/usr/lib/librsvg-2.so.2.34.0 librsvg2-2.34.0-2.fc15.i686 (Fedora Project) 1315773110
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/lib/libbz2.so.1.0.6 bzip2-libs-1.0.6-3.fc15.i686 (Fedora Project) 1305315771
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/liblua-5.1.so lua-5.1.4-8.fc15.i686 (Fedora Project) 1305315774
:/usr/lib/gconv/UTF-32.so glibc-2.14-5.i686 (Fedora Project) 1313013289
:/usr/lib/gnome-shell/libgnome-shell.so gnome-shell-3.0.2-4.fc15.i686 (Fedora Project) 1309152789
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libdb-4.8.so db4-4.8.30-3.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libpulse.so.0.12.3 pulseaudio-libs-0.9.22-5.fc15.i686 (Fedora Project) 1305315775
:/usr/lib/python2.7/lib-dynload/_socketmodule.so python-libs-2.7.1-7.fc15.i686 (Fedora Project) 1305315799
:/usr/lib/dri/r600_dri.so mesa-dri-drivers-7.11-1.fc15.i686 (Fedora Project) 1313013333
:/usr/lib/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.i686 (Fedora Project) 1313582491
:/usr/lib/libclutter-glx-1.0.so.0.600.16 clutter-1.6.16-1.fc15.i686 (Fedora Project) 1314673821
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1305315798
:/usr/lib/libmutter.so.0.0.0 mutter-3.0.2.1-1.fc15.i686 (Fedora Project) 1314673824
:/usr/bin/gdb gdb-7.3-43.fc15.i686 (Fedora Project) 1315773432

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-hnrch
:EXCLUDE_FROM_REPORT=comment,executable,cmdline,hostname,event_log,component,dso_list,environ,coredump,count,analyzer,uuid,kernel,Directory,reason,xsession_errors,var_log_messages,architecture,uid,username,maps,os_release,package,time
:XDG_SESSION_ID=1
:HOSTNAME=fedora.laptop
:ABRT_VERBOSE=0
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-GFchNl/gpg:0:1
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=f16000590261c181a6bc8edb0000000f-1315945172.117107-1723155299
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-GFchNl
:IMSETTINGS_MODULE=none
:USER=hnrch
:DESKTOP_AUTOSTART_ID=10b2e96432e2686fbf131594517380588500000012040026
:SSH_AUTH_SOCK=/tmp/keyring-GFchNl/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1204,unix/unix:/tmp/.ICE-unix/1204
:USERNAME=hnrch
:DESKTOP_SESSION=gnome
:PATH=/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/hnrch/bin
:MAIL=/var/spool/mail/hnrch
:QT_IM_MODULE=xim
:PWD=/home/hnrch/.abrt/spool/ccpp-2011-09-14-17:26:12-22832
:XMODIFIERS=@im=none
:'EDITOR=subl -w'
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/hnrch
:DUMP_DIR=/home/hnrch/.abrt/spool/ccpp-2011-09-14-17:26:12-22832
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=hnrch
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mJhZwO7QLq,guid=3b44414162ed4bf8fdb8bbd90000002c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:EVENT=analyze_LocalGDB
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/hnrch
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-hnrch-sTjQYB/database
:_=/usr/bin/abrt-action-generate-backtrace

var_log_messages:
:Sep 11 15:37:12 fedora yum[2152]: Updated: gdb-7.3-43.fc15.i686
:Sep 14 17:37:22 fedora abrt[29996]: saved core dump of pid 29994 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2011-09-14-17:37:14-29994.new/coredump (120823808 bytes)

Comment 1 hnrch 2011-09-14 22:46:07 UTC
Created attachment 523272 [details]
File: maps

Comment 2 Lukas Redynk 2011-09-22 08:56:16 UTC
Package: gdb-7.3-43.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
1. Created a simple C++ project in Eclipse 3.7.0 with CDT 8.0.0201106081058
#include <cstdio>
#include <cstdlib>
#include <vector>

class CPointer
{
private:
	unsigned int m_z1;
	std::vector<int> m_z3;
public:
	CPointer(unsigned int z1, int z2) : m_z1(z1)
	{
		for(int i = 0; i < m_z1; i++) m_z3.push_back(++z2);
	}
	~CPointer()
	{
		m_z3.clear();
	}
};

int main(void) {
	CPointer p1(5, 10);
	CPointer* p2 = new CPointer(6, 11);
	std::printf("Hello World!!!");
	delete p2;
	return EXIT_SUCCESS;
}

2. I've started debugging it, just toggle breakpoint on first line of main function (init of p1).

3. 'Steo over' to p2, after init of p2 I've tried to navigate in 'Variables' window to elements of m_z3, after I clicked arrow to expand list gdb terminated.

Comment 3 Jan Kratochvil 2011-09-22 16:37:05 UTC
Thanks, a reproducer is:

int main (int argc, char **argv) {
  char s[argc];
  void (*f) (void) = 0;
  f ();
  return 0; }

gcc -o 1 1.c -Wall -g
./gdb -nx ./1 -ex r -ex 'bt full'

It is a Fedora specific regression - due to my VLA patchset.

Comment 4 Fedora Update System 2011-09-26 21:14:40 UTC
gdb-7.3-44.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gdb-7.3-44.fc15

Comment 5 Fedora Update System 2011-09-27 23:05:22 UTC
Package gdb-7.3-44.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.3-44.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gdb-7.3-44.fc15
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-09 19:38:00 UTC
gdb-7.3.50.20110722-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-10-26 23:12:40 UTC
gdb-7.3.1-45.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gdb-7.3.1-45.fc15

Comment 8 Fedora Update System 2011-10-30 00:29:20 UTC
gdb-7.3.1-45.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Pavel Alexeev 2012-03-09 18:38:48 UTC
It's happened for me (abrt point there) on
# rpm -q gdb
gdb-7.3.50.20110722-12.fc16.x86_64

Comment 10 Jan Kratochvil 2012-03-09 19:21:20 UTC
Sorry but without a reproducer or some more info I cannot fix it.

Comment 11 Pavel Alexeev 2012-03-10 09:27:01 UTC
Sorry, please give me few minutes. It always reproducible, but abrt does not add info in closed bug.

Comment 12 Pavel Alexeev 2012-03-10 09:30:01 UTC
Just start debug runkit php extension from Netbeans.

backtrace_rating: 4
Package: gdb-7.3.50.20110722-12.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 13 Pavel Alexeev 2012-03-10 09:30:04 UTC
Created attachment 569066 [details]
File: backtrace

Comment 14 Pavel Alexeev 2012-03-10 09:31:19 UTC
I hope it is helpful. Please say if I may provide some more info.

Comment 15 Jan Kratochvil 2012-03-10 19:43:22 UTC
While thanks for bugreporting the situation about VLA is complicated.
It is a Fedora only patch as it is not upstreamable in its current form.
It is needed to make Fortran programs debuggable.
I am aware of many issues of the VLA patch but it does not make sense to develop it in its current form.  I have not yet found time to rewrite it from scratch friendly with upstream, hopefull this year.

Therefore I fix up only issues which really block/affect people.  If it is somehow blocking you from debugging something please ping it here.  Otherwise I am aware there are bugs, I know about many of them.

Comment 16 Pavel Alexeev 2012-03-11 08:22:15 UTC
(In reply to comment #15)
> Therefore I fix up only issues which really block/affect people.  If it is
> somehow blocking you from debugging something please ping it here.  Otherwise I
> am aware there are bugs, I know about many of them.
Off course it affect me! Gdb segfaulted when I try start debug session of my project!

Comment 17 Jan Kratochvil 2012-03-12 16:36:56 UTC
This new Bug starting at Comment 9 is completely unrelated to VLA / Comment 0.

Filed ABRT deduplication false positive as new: Bug 802477
Re-filed this new GDB Bug as new: Bug 802479


Note You need to log in before you can comment on or make changes to this bug.